
/**
 * Simple behavior to initialize FLIR.
 */
Drupal.behaviors.flir_init = function() {
  FLIR.init({path: Drupal.settings.flir.path});
}

/**
 * Call FLIR.replace on all specified replacements.
 */
Drupal.behaviors.flir_replace = function() {
  if (Drupal.settings.flir.fonts) {
    FLIR.init({path: Drupal.settings.flir.path});
    if (!(Drupal.settings.flir.fonts.selector instanceof Array)) {
      Drupal.settings.flir.fonts.selector = [Drupal.settings.flir.fonts.selector];
      Drupal.settings.flir.fonts.font = [Drupal.settings.flir.fonts.font];
    }

    for (index in Drupal.settings.flir.fonts.selector) {
      var selector = Drupal.settings.flir.fonts.selector[index];
      var font = Drupal.settings.flir.fonts.font[index];
      
      $(selector).each(function() {
        // Need to rebuild the params for each loop as the params variable
        // is modified when FLIRStyle(params) is called.
        var params = {cFont: font, cAlign: 'center'};
        for (param in Drupal.settings.flir.fonts.style) {
          val = Drupal.settings.flir.fonts.style[param];
          // If there's only a single replacement, this won't be an array
          // @TODO: Not sure if this is actually necessary or not...
          if (val instanceof Array) {
            params[param] = val[index];
          }
          else {
            params[param] = val;
          }
        }
        FLIR.replace(this, new FLIRStyle(params));
      });
    }
  }
}
